LightweightSectionBuilder Class

class NXOpen.Annotations.LightweightSectionBuilder

Bases: NXOpen.Display.DynamicSectionBuilder

Represents a NXOpen.Annotations.LightweightSection builder

To create a new instance of this class, use NXOpen.Annotations.PmiLightweightSectionCollection.CreateLightweightSectionBuilder()

Default values.

Property Value
BoxExtentDelayUpdate false
CapColorOption Any
ClipType Section
CurveColorOption Any
CuttingPlaneSymbol.DisplayCuttingPlaneSymbol 0
CuttingPlaneSymbol.UseTwoArrows 0
CuttingPlaneSymbol.ViewNameFormat UserDefined
LockPlanes true
ShowCap true
ShowClip true
ShowCurves (deprecated) false
ShowGrid false
ShowInterference false
ShowViewer false
Type OnePlane

New in version NX7.5.0.

Properties

Property Description
AssemblyCrosshatching Returns or sets the assembly crosshatch option
BoundingBoxComponents Returns the objects to define the box section type bounding extents
BoxExtentDelayUpdate Returns or sets the delay box extent update.
BoxExtentMargin Returns or sets the margin for box section extents
BoxExtentObjects Returns the objects that define the extents for box section.
BoxExtentSupported Returns the box extent support.
CapColor Returns or sets the cap color.
CapColorOption Returns or sets the cap color option
ClipCoplanarObjects Returns or sets the clip coplanar objects
ClipType Returns or sets the clip type
ClipWireframeObjects Returns or sets the clip wireframe objects
CrosshatchSettings Returns the crosshatch settings
CsysType Returns or sets the coordinate system used for creating section plane along X, Y or Z principal planes.
CurveColor Returns or sets the curve color.
CurveColorOption Returns or sets the curve color option
CuttingPlaneSymbol Returns the cutting plane symbol
DefaultPlaneAxis Returns or sets the axis indicating the default plane normal.
DeferCurveUpdate Returns or sets the defer curve update property.
DisplayCrosshatch Returns or sets the display crosshatch option
InterferenceColor Returns or sets the interference color.
LayerSettings Returns the layer settings builder
LockPlanes Returns or sets the lock planes flag.
NumberInSeries Returns or sets the number of requested section planes in the current section series.
ObjectsToSection Returns the objects to section
PatternDefinedBy Returns or sets the crosshatch pattern defined by
RestrictCrosshatch Returns or sets the restrict crosshatch angle to 45 degree option
ReverseSeries Returns or sets the reverse series flag
SaveAssociativeCurves Returns or sets the save associative curves toggle value
SeriesSpacing Returns or sets the section plane spacing in the current section series.
ShowCap Returns or sets the cap on off flag
ShowClip Returns or sets the clip on off flag
ShowCurves Returns or sets the curve on off flag.
ShowGrid Returns or sets the show grid display flag
ShowInterference Returns or sets the interference on off flag.
ShowViewer Returns or sets the 2D viewer display flag
Tag Returns the Tag for this object.
ToleranceCrosshatch Returns or sets the crosshatch adjacency tolerance
Type Returns or sets the section type
View Returns or sets the modeling view in which section object edits are being done.
ViewName Returns or sets the name of the lightweight section view

Methods

Method Description
AlternatePlane Cycle through planes that are 90 degrees aligned to the current section plane.
Commit Commits any edits that have been applied to the builder.
CreateDatumPlane Creates a datum plane from the active section plane.
Destroy Deletes the builder, and cleans up any objects created by the builder.
EditView Edits the section object in the modeling view.
GetActivePlane Gets the active plane in the section.
GetAllPlanesGeometry Gets geometry for all planes of the section.
GetBoundingBox Gets bounding box used by the section.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetGridSettings Creates a grid settings builder from the active section plane.
GetName Gets the section name.
GetNormal Gets the normal of the section plane
GetObject Returns the object currently being edited by this builder.
GetOffset Gets the the plane offset.
GetOffsetLimits Gets minimum and maximum offset limits.
GetOrigin Gets the section origin.
GetPlaneGeometry Gets geometry of specified plane of the section.
GetPlaneThickness Gets the thickness between active plane pair.
GetRotationAngle Gets rotation angle for specified axis.
GetRotationMatrix Gets the section rotation matrix
GetSectionCurves Returns the lightweight section view curves
IsAssociativitySupported Determines if an associative section plane is supported.
IsDefaultPlane Indicates whether the section plane is at the default location.
LoadAllIntersecting Loads all components that intersect the current section plane.
LoadNearIntersecting Loads components that intersect the current section plane and are near the section plane origin.
OffsetOriginInPlane Offsets section origin within current section plane.
PlaneX Creates a plane along X direction.
PlaneY Creates a plane along Y direction.
PlaneZ Creates a plane along Z direction.
RestoreView Restores the section to the saved section in the view database.
ReverseDirection Reverses the plane direction.
SaveCurves Creates curves by intersecting all clipping planes of the section with all visible bodies in the scene and adds them to the group created with the specified name.
SetActivePlane Sets the active plane in the section
SetAllPlanesGeometry Sets geometry for all planes of the section.
SetAssociativePlane Makes dynamic section associative to the specified plane The plane must be a smart plane; otherwise an error will be reported.
SetBoundingBox Sets bounding box for the section.
SetDefaultPlane Set current section plane to its default definition.
SetDefaults Set current section to the default values.
SetName Sets the section name.
SetNormal Sets the normal of the section plane
SetOffset Sets the the plane offset.
SetOffsetByPoint This method offsets the active clipping plane such that the plane passes through the specified point.
SetOrigin Sets the section origin.
SetPlane Sets a section plane to be the specified plane The plane is created at the specified origin with the specified rotation matrix.
SetPlaneThickness Sets the thickness between active plane pair.
SetRotationAngle Rotates the section about specified axis by the specified angle.
SetRotationMatrix Sets the section rotation matrix
ShowCurvePreview Show/hide curve preview.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
ShowSectionCurves Shows the section curves in the view associated with the builder.
UpdateBoxExtents Update box section display by recomputing the box extents if necessary.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

AssemblyCrosshatching

LightweightSectionBuilder.AssemblyCrosshatching

Returns or sets the assembly crosshatch option

-------------------------------------

Getter Method

Signature AssemblyCrosshatching

Returns:
Return type:bool

New in version NX9.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature AssemblyCrosshatching

Parameters:assemblyCrosshatchingOption (bool) –

New in version NX9.0.0.

License requirements: geometric_tol (“GDT”)

BoundingBoxComponents

LightweightSectionBuilder.BoundingBoxComponents

Returns the objects to define the box section type bounding extents

-------------------------------------

Getter Method

Signature BoundingBoxComponents

Returns:
Return type:NXOpen.SelectDisplayableObjectList

New in version NX8.0.0.

License requirements: None.

ClipCoplanarObjects

LightweightSectionBuilder.ClipCoplanarObjects

Returns or sets the clip coplanar objects

-------------------------------------

Getter Method

Signature ClipCoplanarObjects

Returns:
Return type:bool

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ClipCoplanarObjects

Parameters:clipCoplanarObjectsOption (bool) –

New in version NX11.0.0.

License requirements: geometric_tol (“GDT”)

ClipWireframeObjects

LightweightSectionBuilder.ClipWireframeObjects

Returns or sets the clip wireframe objects

-------------------------------------

Getter Method

Signature ClipWireframeObjects

Returns:
Return type:bool

New in version NX11.0.1.

License requirements: None.

-------------------------------------

Setter Method

Signature ClipWireframeObjects

Parameters:clipWireframeObjectsOption (bool) –

New in version NX11.0.1.

License requirements: geometric_tol (“GDT”)

CrosshatchSettings

LightweightSectionBuilder.CrosshatchSettings

Returns the crosshatch settings

-------------------------------------

Getter Method

Signature CrosshatchSettings

Returns:
Return type:NXOpen.Annotations.HatchFillSettingsBuilder

New in version NX9.0.0.

License requirements: None.

CuttingPlaneSymbol

LightweightSectionBuilder.CuttingPlaneSymbol

Returns the cutting plane symbol

-------------------------------------

Getter Method

Signature CuttingPlaneSymbol

Returns:
Return type:NXOpen.Annotations.CuttingPlaneSymbolBuilder

New in version NX9.0.0.

License requirements: None.

DisplayCrosshatch

LightweightSectionBuilder.DisplayCrosshatch

Returns or sets the display crosshatch option

-------------------------------------

Getter Method

Signature DisplayCrosshatch

Returns:
Return type:bool

New in version NX9.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature DisplayCrosshatch

Parameters:displayCrosshatchOption (bool) –

New in version NX9.0.0.

License requirements: geometric_tol (“GDT”)

ObjectsToSection

LightweightSectionBuilder.ObjectsToSection

Returns the objects to section

-------------------------------------

Getter Method

Signature ObjectsToSection

Returns:
Return type:NXOpen.SelectDisplayableObjectList

New in version NX7.5.0.

License requirements: None.

PatternDefinedBy

LightweightSectionBuilder.PatternDefinedBy

Returns or sets the crosshatch pattern defined by

-------------------------------------

Getter Method

Signature PatternDefinedBy

Returns:
Return type:int

New in version NX9.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature PatternDefinedBy

Parameters:patternDefinedBy (int) –

New in version NX9.0.0.

License requirements: geometric_tol (“GDT”)

RestrictCrosshatch

LightweightSectionBuilder.RestrictCrosshatch

Returns or sets the restrict crosshatch angle to 45 degree option

-------------------------------------

Getter Method

Signature RestrictCrosshatch

Returns:
Return type:bool

New in version NX9.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature RestrictCrosshatch

Parameters:restrictCrosshatchOption (bool) –

New in version NX9.0.0.

License requirements: geometric_tol (“GDT”)

SaveAssociativeCurves

LightweightSectionBuilder.SaveAssociativeCurves

Returns or sets the save associative curves toggle value

-------------------------------------

Getter Method

Signature SaveAssociativeCurves

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature SaveAssociativeCurves

Parameters:saveAssociativeCurvesToggle (bool) –

New in version NX7.5.0.

License requirements: geometric_tol (“GDT”)

ToleranceCrosshatch

LightweightSectionBuilder.ToleranceCrosshatch

Returns or sets the crosshatch adjacency tolerance

-------------------------------------

Getter Method

Signature ToleranceCrosshatch

Returns:
Return type:float

New in version NX9.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ToleranceCrosshatch

Parameters:crosshatchAdjacencyTolerance (float) –

New in version NX9.0.0.

License requirements: geometric_tol (“GDT”)

ViewName

LightweightSectionBuilder.ViewName

Returns or sets the name of the lightweight section view

-------------------------------------

Getter Method

Signature ViewName

Returns:
Return type:str

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ViewName

Parameters:viewName (str) – Section name

New in version NX7.5.0.

License requirements: geometric_tol (“GDT”)

Method Detail

GetSectionCurves

LightweightSectionBuilder.GetSectionCurves

Returns the lightweight section view curves

Signature GetSectionCurves()

Returns:Array of lightweight section view curves
Return type:list of NXOpen.Curve

New in version NX7.5.0.

License requirements: None.

Validate

LightweightSectionBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.